- [HTTP request](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/create#body.request_body)
- [Response body](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/create#try-it)

Creates a new workstation cluster.

### HTTP request

Choose an endpoint:
global asia-south1 europe-west6 us-central1 us-east1 us-east4 us-east5 us-west1 us-west4   
`POST https://workstations.googleapis.com/v1/{parent=projects/*/locations/*}/workstationClusters`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent resource name. |

### Query parameters

| Parameters ||
|---|---|
| `workstationClusterId` | `string` Required. ID to use for the workstation cluster. |
| `validateOnly` | `boolean` Optional. If set, validate the request and preview the result, but do not actually apply it. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters#WorkstationCluster`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/workstations/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).